GNU bug report logs - #19256
24.3; Bad interaction between calendar.el and pop-up-frames

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: David Shepherd <davidshepherd7@HIDDEN>; dated Tue, 2 Dec 2014 18:55:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2014 18:54:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 02 13:54:27 2014
Received: from localhost ([127.0.0.1]:52031 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Xvsag-0002kz-Fp
	for submit <at> debbugs.gnu.org; Tue, 02 Dec 2014 13:54:27 -0500
Received: from eggs.gnu.org ([208.118.235.92]:41817)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsO3-0002QP-B8
 for submit <at> debbugs.gnu.org; Tue, 02 Dec 2014 13:41:24 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsO1-0001jA-O8
 for submit <at> debbugs.gnu.org; Tue, 02 Dec 2014 13:41:23 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.1 required=5.0 tests=BAYES_50,
 FREEMAIL_ENVFROM_END_DIGIT,FREEMAIL_FROM,HTML_MESSAGE,T_DKIM_INVALID
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:32867)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsO1-0001j4-Lz
 for submit <at> debbugs.gnu.org; Tue, 02 Dec 2014 13:41:21 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:43532)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsO0-0002Lw-1k
 for bug-gnu-emacs@HIDDEN; Tue, 02 Dec 2014 13:41:21 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsNx-0001id-Ac
 for bug-gnu-emacs@HIDDEN; Tue, 02 Dec 2014 13:41:19 -0500
Received: from mail-wg0-x234.google.com ([2a00:1450:400c:c00::234]:45443)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <davidshepherd7@HIDDEN>) id 1XvsNx-0001iQ-08
 for bug-gnu-emacs@HIDDEN; Tue, 02 Dec 2014 13:41:17 -0500
Received: by mail-wg0-f52.google.com with SMTP id a1so17882402wgh.39
 for <bug-gnu-emacs@HIDDEN>; Tue, 02 Dec 2014 10:41:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:from:date:message-id:subject:to:content-type;
 bh=v7F31CMdj1DojKExX9VLJ4yrVJrO2lZn79u6r5UO7XE=;
 b=g+GaOuAemfQ0xI74yTEO2BMEEZzcWJtx59PEx2gkCgMZyDngQxP0xmvxrvzCw5MFXp
 yuyfdneT4xxCmoU+WnbA3xyxzEjMvrL8tGdAS8W9FV+SMBkoh6hZT93x/eALQCTIHjyk
 qOOEGPkQXgiWRVD4uStAbKc8vsM7DrhT4A5rOl1hmTseRAYQOvA2LXokctIwvFpHheR/
 KS9E+QocLx/DbLl9BCD1drTYR47kxh04jHPZkCMlxz2efm9fxR8b1FY5n5lEpGZC8NoD
 jHO9efWfVzmrZHUnmWp/lWt2FfFOUX+mdTrTUxpLwWa3jT5vYTp5isoS2JUultThBKlv
 7czw==
X-Received: by 10.194.119.193 with SMTP id kw1mr913457wjb.37.1417545675682;
 Tue, 02 Dec 2014 10:41:15 -0800 (PST)
MIME-Version: 1.0
Received: by 10.194.236.133 with HTTP; Tue, 2 Dec 2014 10:40:55 -0800 (PST)
From: David Shepherd <davidshepherd7@HIDDEN>
Date: Tue, 2 Dec 2014 18:40:55 +0000
Message-ID: <CAOdAAt0GokOD6venyGweuZ5DgCQZ55Q-0vdfQioituhYryJJYw@HIDDEN>
Subject: 24.3; Bad interaction between calendar.el and pop-up-frames
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary=089e0122862673b9d105094012ca
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 02 Dec 2014 13:54:25 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--089e0122862673b9d105094012ca
Content-Type: text/plain; charset=UTF-8

When pop-up-frames is non-nil and calendar is called a duplicate frame
is created.

To reproduce the issue do:

    (setq pop-up-frames 'graphic-only)
    (calendar)

from a raw emacs -Q.

This can be fixed by the following advice:

    (defadvice calendar (around disable-pop-up-frames activate)
      "Disable pop-up-frames while this is going on, otherwise we get
    extra useless frames."
      (let ((pop-up-frames 'nil))
        ad-do-it))

so presumably all that is needed to fix the issue is a similar let block
inside the calendar function.


The output that generated by report-emacs-bug follows:

In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu, GTK+ Version 3.10.7)
 of 2014-03-07 on lamiak, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:    Ubuntu 14.04.1 LTS

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=yes'
 '--with-x-toolkit=gtk3' '--with-toolkit-scroll-bars'
 'build_alias=x86_64-linux-gnu' 'CFLAGS=-g -O2 -fstack-protector
 --param=ssp-buffer-size=4 -Wformat -Werror=format-security -Wall'
 'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_GB.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<menu> <backspace> ( s e t SPC p <backspace> ' p o
p - u p - f r a m e s SPC ' <backspace> ' g r a p h
i c - o n l y ) C-\ C-e C-g C-x C-e <down> <down> <menu>
c a l e n d a r <return> q <return> ( c a l e n d a
r ) <up> <end> <down> C-x C-e <down-mouse-1> <mouse-movement>
<mouse-movement> <drag-mouse-1> <down-mouse-1> <mouse-1>
<menu> s u b m i t <tab> <C-backspace> b u g <tab>
<tab> <switch-frame> q <switch-frame> <C-backspace>
<C-backspace> r e p <tab> <switch-frame> q <switch-frame>
o r t <tab> <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
delete-backward-char: Text is read-only
Quit [2 times]
graphic-only
byte-code: End of buffer [2 times]
nil
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils help-mode mule-util cal-move cal-menu easymenu
calendar cal-loaddefs time-date tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
fringe tabulated-list newcomment lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

--089e0122862673b9d105094012ca
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>When pop-up-frames is non-nil and calendar is called =
a duplicate frame<br>is created.<br><br>To reproduce the issue do:<br><br>=
=C2=A0=C2=A0=C2=A0 (setq pop-up-frames &#39;graphic-only)<br>=C2=A0=C2=A0=
=C2=A0 (calendar)<br><br>from a raw emacs -Q.<br><br>This can be fixed by t=
he following advice:<br><br>=C2=A0=C2=A0=C2=A0 (defadvice calendar (around =
disable-pop-up-frames activate)<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 &quot;Dis=
able pop-up-frames while this is going on, otherwise we get<br>=C2=A0=C2=A0=
=C2=A0 extra useless frames.&quot;<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 (let (=
(pop-up-frames &#39;nil))<br>=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0=C2=A0 ad-=
do-it))<br><br>so presumably all that is needed to fix the issue is a simil=
ar let block<br>inside the calendar function.<br><br><br></div>The output t=
hat generated by report-emacs-bug follows:<br><div><br>In GNU Emacs 24.3.1 =
(x86_64-pc-linux-gnu, GTK+ Version 3.10.7)<br>=C2=A0of 2014-03-07 on lamiak=
, modified by Debian<br>Windowing system distributor `The X.Org Foundation&=
#39;, version 11.0.11501000<br>System Description:=C2=A0=C2=A0=C2=A0 Ubuntu=
 14.04.1 LTS<br><br>Configured using:<br>=C2=A0`configure &#39;--build&#39;=
 &#39;x86_64-linux-gnu&#39; &#39;--build&#39; &#39;x86_64-linux-gnu&#39;<br=
>=C2=A0&#39;--prefix=3D/usr&#39; &#39;--sharedstatedir=3D/var/lib&#39; &#39=
;--libexecdir=3D/usr/lib&#39;<br>=C2=A0&#39;--localstatedir=3D/var/lib&#39;=
 &#39;--infodir=3D/usr/share/info&#39;<br>=C2=A0&#39;--mandir=3D/usr/share/=
man&#39; &#39;--with-pop=3Dyes&#39;<br>=C2=A0&#39;--enable-locallisppath=3D=
/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/sh=
are/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-l=
isp&#39;<br>=C2=A0&#39;--with-crt-dir=3D/usr/lib/x86_64-linux-gnu&#39; &#39=
;--with-x=3Dyes&#39;<br>=C2=A0&#39;--with-x-toolkit=3Dgtk3&#39; &#39;--with=
-toolkit-scroll-bars&#39;<br>=C2=A0&#39;build_alias=3Dx86_64-linux-gnu&#39;=
 &#39;CFLAGS=3D-g -O2 -fstack-protector<br>=C2=A0--param=3Dssp-buffer-size=
=3D4 -Wformat -Werror=3Dformat-security -Wall&#39;<br>=C2=A0&#39;LDFLAGS=3D=
-Wl,-Bsymbolic-functions -Wl,-z,relro&#39;<br>=C2=A0&#39;CPPFLAGS=3D-D_FORT=
IFY_SOURCE=3D2&#39;&#39;<br><br>Important settings:<br>=C2=A0 value of $LAN=
G: en_GB.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<br>=C2=A0 default=
 enable-multibyte-characters: t<br><br>Major mode: Lisp Interaction<br><br>=
Minor modes in effect:<br>=C2=A0 tooltip-mode: t<br>=C2=A0 mouse-wheel-mode=
: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-na=
me-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mo=
de: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=
=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0=
 line-number-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Recent input:<=
br>&lt;menu&gt; &lt;backspace&gt; ( s e t SPC p &lt;backspace&gt; &#39; p o=
 <br>p - u p - f r a m e s SPC &#39; &lt;backspace&gt; &#39; g r a p h <br>=
i c - o n l y ) C-\ C-e C-g C-x C-e &lt;down&gt; &lt;down&gt; &lt;menu&gt; =
<br>c a l e n d a r &lt;return&gt; q &lt;return&gt; ( c a l e n d a <br>r )=
 &lt;up&gt; &lt;end&gt; &lt;down&gt; C-x C-e &lt;down-mouse-1&gt; &lt;mouse=
-movement&gt; <br>&lt;mouse-movement&gt; &lt;drag-mouse-1&gt; &lt;down-mous=
e-1&gt; &lt;mouse-1&gt; <br>&lt;menu&gt; s u b m i t &lt;tab&gt; &lt;C-back=
space&gt; b u g &lt;tab&gt; <br>&lt;tab&gt; &lt;switch-frame&gt; q &lt;swit=
ch-frame&gt; &lt;C-backspace&gt; <br>&lt;C-backspace&gt; r e p &lt;tab&gt; =
&lt;switch-frame&gt; q &lt;switch-frame&gt; <br>o r t &lt;tab&gt; &lt;retur=
n&gt;<br><br>Recent messages:<br>For information about GNU Emacs and the GN=
U system, type C-h C-a.<br>delete-backward-char: Text is read-only<br>Quit =
[2 times]<br>graphic-only<br>byte-code: End of buffer [2 times]<br>nil<br>M=
aking completion list... [2 times]<br><br>Load-path shadows:<br>None found.=
<br><br>Features:<br>(shadow sort gnus-util mail-extr emacsbug message form=
at-spec rfc822 mml<br>mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2=
231 mailabbrev<br>gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums =
mm-util<br>mail-prsvr mail-utils help-mode mule-util cal-move cal-menu easy=
menu<br>calendar cal-loaddefs time-date tooltip ediff-hook vc-hooks<br>lisp=
-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt<br>fri=
nge tabulated-list newcomment lisp-mode register page menu-bar<br>rfn-eshad=
ow timer select scroll-bar mouse jit-lock font-lock syntax<br>facemenu font=
-core frame cham georgian utf-8-lang misc-lang vietnamese<br>tibetan thai t=
ai-viet lao korean japanese hebrew greek romanian slovak<br>czech european =
ethiopic indian cyrillic chinese case-table epa-hook<br>jka-cmpr-hook help =
simple abbrev minibuffer loaddefs button faces<br>cus-face macroexp files t=
ext-properties overlay sha1 md5 base64 format<br>env code-pages mule custom=
 widget hashtable-print-readable backquote<br>make-network-process dbusbind=
 dynamic-setting system-font-setting<br>font-render-setting move-toolbar gt=
k x-toolkit x multi-tty emacs)<br></div></div>

--089e0122862673b9d105094012ca--




Acknowledgement sent to David Shepherd <davidshepherd7@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#19256; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 2 Dec 2014 19:00:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.